<?php

return array
(
	'name' => 'cat',
	'lang' => '分类',
	'struct' => array
	(
		'id'         => array
	    (
	        'type'         => 'int-11',
	        'name'         => 'ID',
	        'default'     => '',
	        'desc'         => '',
	        'match'     => 'is_numeric',
	        'order'        => 'desc',
	    ),

	    'name'        => array
	    (
	        'type'         => 'varchar-30',
	        'name'         => '分类名称',
	        'default'     => '',
	        'desc'         => '请输入分类名称',
	        'match'     => 'is_string',
	        'update'    => 'text',
	        'search'    => 'order,fulltext',
	        'list'        => true,
	        # 绑定js脚本，更新时使用，第一个参数是执行的方式，第二个参数执行的方法，第三个参数是传值。
			'bind'		=> array('onblur', 'demo', array('url' => Dever::url("auth.blur"))),
	    ),

	    'admin' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '管理员',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> '{admin} > 0 ? Dever::load("manage/admin-one#username", {admin}) : "未知"',
		),

	    'state'        => array
	    (
	        'type'         => 'tinyint-1',
	        'name'         => '状态',
	        'default'     => '1',
	        'desc'         => '请选择状态',
	        'match'     => 'is_numeric',
	        //'option'     => $option,
	        //'update'    => 'radio',
	        //'list'        => true,
	    ),

	    'cdate'        => array
	    (
	        'type'         => 'int-11',
	        'name'         => '录入时间',
	        'match'     => array('is_numeric', DEVER_TIME),
	        'desc'         => '',
	        # 只有insert时才生效
	        'insert'    => true,
	        //'list'        => 'date("Y-m-d H:i:s", {cdate})',
	    ),
	),

	'manage' => array
	(
		//'delete' => false,
		# 启用自定义后台页面
		//'page_list' => 'test',

		// 载入自定义资源
		'res' => array
		(
			'js' => 'demo',
		),
	),

	'request' => array
	(
		'getList' => array
		(
			'type' => 'all',
			'option' => array
			(
				'state' => 'is_numeric',
			),
		),
	),
);